using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsDailyCheckReport
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int DailyCheckReportId { get; set; }
        [Required]
        [StringLength(128)]
        public string Name { get; set; }
        [Required]
        [StringLength(1024)]
        public string Contents { get; set; }
        [Required]
        [StringLength(24)]
        public string RegisterUserId { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime AddDate { get; set; }

        [ForeignKey("SiteId,RegisterUserId")]
        [InverseProperty("FmsDailyCheckReport")]
        public virtual CmUser CmUser { get; set; }
    }
}
